export declare const config: {
    solana_devnet: {
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        isMainnet: boolean;
    };
    19: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    1313161555: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    4: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    97: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    43113: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    80001: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    73799: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    421611: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    4002: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    69: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    1287: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            london: string;
            "north virginia": string;
            singapore: string;
        };
        nftValidators: {
            validator1: string;
            validator2: string;
            validator3: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    1: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    56: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    43114: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    137: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    246: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    42161: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    10: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
    1284: {
        contracts: {
            legacyErc20: {
                router: string;
                "router-proxy": string;
            };
            erc20Router: string;
            nftRouter: string;
            teleport: string;
            multicall: string;
        };
        validators: {
            limechain: string;
            allianceblock: string;
            allianceblockHA: string;
        };
        nftValidators: {
            validator1: string;
            validator1_HA: string;
            validator2: string;
        };
        abridgeBackend: string;
        threshold: string;
        isMainnet: boolean;
    };
};
export declare const openSeaApiPrefix: (chainId: number) => "testnets-api" | "api";
export declare const erc721DAppId: (chainId: any) => string;
export declare const erc20DAppId: (chainId: any) => string;
